Package io.vertx.ext.mongo

## Class DistinctOptions

- java.lang.Object
- - io.vertx.ext.mongo.DistinctOptions

-     public class DistinctOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistinctOptions()` |
    `DistinctOptions​(JsonObject json)` |
    `DistinctOptions​(DistinctOptions distinctOptions)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `CollationOptions` | `getCollation()` |
    `int` | `hashCode()` |
    `DistinctOptions` | `setCollation​(CollationOptions collation)` | Optional.
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DistinctOptions

          public DistinctOptions()

    - #### DistinctOptions

          public DistinctOptions​(DistinctOptions distinctOptions)

    - #### DistinctOptions

          public DistinctOptions​(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getCollation

          public CollationOptions getCollation()

      Returns:
        Configured collationOptions

    - #### setCollation

          public DistinctOptions setCollation​(CollationOptions collation)

      Optional. Specifies the collation to use for the operation. Collation allows users to specify language-specific rules for string comparison, such as rules for letter-case and accent marks.
      Parameters:
        `collation` -
      Returns:
        reference to this, for fluency

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`